> ## Documentation Index
> Fetch the complete documentation index at: https://spidocs.chargebee.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Void credit note

> This endpoint is used to void the credit note for a specific credit note id. Voiding reverses the credit note, thereby restoring the amount due on the invoice.



## OpenAPI

````yaml post /credit-notes/{creditNoteId}/void
openapi: 3.0.3
info:
  description: >
    ## Overview

    Tax Service Adapter is a Service Provider Interface (SPI) that helps
    Chargebee communicate with API platforms providing the following services:

    - Address validation

    - Estimating taxes for sales

    - Submitting invoices for tax filing


    If you have an API that provides the services mentioned above and want
    Chargebee to be able to integrate with it, you can build an adapter service
    according to this specification.


    ## Terminology

    Here's a list of terms we've used to describe this specification.

    ### Merchant 
      Chargebee’s customer who is carrying out the business of selling products. Also known as the Seller. The Seller has one or more Chargebee accounts.
    ### Chargebee 
     The SaaS which manages subscriptions and revenue operations on behalf of the Merchant. Chargebee makes API calls to the Tax Service Adapter for tax estimation and tax filing of transactions between the Merchant and the Customer.
    ### Customer 

    Merchant’s customer who purchases products from the Merchant. Their customer
    record(s) and other details are stored within Chargebee under the Merchant’s
    account.

    ### Tax Authority

    The institution, usually a government, that is responsible for collecting
    taxes for commercial transactions between Merchants and their Customers.  

    ### Tax Service Provider

    The service which provides tax estimation and tax filing services for
    merchants.

    ### Tax Service Adapter 

    The SPI for which the spec is defined in this document. This adapter serves
    the following purposes:

    - Translates API requests (as defined in this document) from Chargebee to
    the request format specified by the Tax Service Provider's API.

    - Translates API responses from the Tax Service Provider APIs to the format
    understood by Chargebee (as defined in this document).

    ### Authorization

    Chargebee uses HTTP header-based authorization for all the API endpoints
    associated with Tax Service Adapter. We dynamically pass this authorization
    key in the HTTP header. The parameter that holds this key is found in the
    JSON object `api_configuration` required for configuring your onboarding on
    Chargebee's marketplace. In the `api_configuration` object, our [Taxes
    Service Adapter SPI](https://chargebee.atlassian.net/l/cp/ca5aZ1mA) checks
    the authorization key parameter from `credential_configuration.id` and
    creates the HTTP header-based input query parameter for authorization. The
    `credential_configuration` is an array of objects with an `id` attribute,
    and the value of `id` is the parameter containing the authorization key.

      Following are the JSON snippets for your reference.

       ```json
          "api_configuration": {
              "api_base_url": "https://xyz.abc.com/chargebee",
              "credential_configuration": [ 
                {
                  "id":"authorization_key",
                  "name": "Authorization Key", 
                  "type": "text",
                  "is_sensitive": true 
                },
                {
                  "id": "client_secret",
                  "name": "Client Secret",
                  "type": "text",
                  "is_sensitive": true
                }
              ]
            }
       ```    
    `"Authorization":"{"<authorization_key>":"test_GykCvTykZFTBqHQAFzjMN9R1Thgdho0Q"}"`
  title: Taxes Service Adapter SPI
  version: 0.3.7
servers:
  - description: Production SPI server.
    url: https://rest.taxes.provider.com/api/v1
  - description: Sandbox SPI server.
    url: https://sandbox.taxes.provider.com/api/v1
security:
  - Authorization: []
tags:
  - description: Endpoints to validate an address and check its taxability.
    name: Address
  - description: Endpoints to estimate taxes.
    name: TaxEstimate
  - description: Endpoints to manage invoices sent to the Tax Service Provider.
    name: Invoice
  - description: Endpoints to manage credit notes sent to the Tax Service Provider.
    name: CreditNote
  - description: >-
      Endpoints to validate the credentials used for calling the Tax Service
      Adapter.
    name: Authentication
  - description: >-
      Endpoints to monitor the health of the Tax Service Provider and the Tax
      Service Adapter.
    name: Health
paths:
  /credit-notes/{creditNoteId}/void:
    post:
      tags:
        - CreditNote
      summary: Void credit note
      description: >-
        This endpoint is used to void the credit note for a specific credit note
        id. Voiding reverses the credit note, thereby restoring the amount due
        on the invoice.
      operationId: voidCreditNote
      parameters:
        - description: >-
            The unique identifier of the credit note at the Tax Service Adapter
            or Tax Service Provider.
          explode: false
          in: path
          name: creditNoteId
          required: true
          schema:
            type: string
          style: simple
        - description: >-
            The unique identifier of the invoice at the Tax Service Adapter or
            Tax Service Provider.
          explode: true
          in: query
          name: invoiceId
          required: false
          schema:
            type: string
          style: form
        - description: Merchant's domain name will be sent by Chargebee
          in: header
          name: merchant_id
          required: false
          schema:
            type: string
        - description: Unique id of the request will be sent by Chargebee
          in: header
          name: trace_id
          required: false
          schema:
            type: string
      requestBody:
        content:
          application/json:
            examples:
              VoidInvoiceRequest:
                $ref: '#/components/examples/VoidInvoiceRequest'
            schema:
              $ref: '#/components/schemas/VoidRequest'
      responses:
        '204':
          description: Credit note voided successfully.
        '401':
          description: Unauthenticated request.
        '403':
          description: Unauthorized request.
        '404':
          description: Not found.
        '429':
          description: Too many requests.
        '500':
          content:
            application/json:
              examples:
                Error500:
                  $ref: '#/components/examples/Error500Response'
              schema:
                $ref: '#/components/schemas/BasicErrorResponse'
          description: Unexpected error while processing request.
        '503':
          content:
            application/json:
              example:
                status: DOWN
                version: 1.0.0
                description: The service is unhealthy. Several components are down.
                components:
                  - id: app-db-memory
                    name: Application Database Memory Usage
                    type: DATABASE
                    status: UP
                  - id: adapter-server
                    name: Adapter API Server
                    type: ADAPTER
                    status: DOWN
                  - id: service-server
                    name: API Server
                    type: API
                    status: DOWN
                time: '2022-11-01T05:12:08.131Z'
              schema:
                $ref: '#/components/schemas/HealthCheckResponse'
          description: Service is unhealthy.
components:
  examples:
    VoidInvoiceRequest:
      description: A request to void an invoice in the tax provider system.
      value:
        documentDateTime: '2022-11-01T05:12:08.131Z'
    Error500Response:
      description: Unexpected error during processing the request.
      summary: Unexpected error.
      value:
        message: Unexpected error during processing the request.
  schemas:
    VoidRequest:
      description: The request to void an invoice or credit note.
      example:
        documentDateTime: '2000-01-23T04:56:07.000Z'
      properties:
        documentDateTime:
          description: >-
            The date and time at which the credit note was created in Chargebee.
            For example, if the value is 2022-10-28T15:36:28.129+05:30, then the
            timestamp represents October 28, 2022, at 15:36:28.129, with an
            offset of +05:30. This means that the time represented is 5 hours
            and 30 minutes ahead of UTC/GMT. In the case of a merchant site
            located in UTC, these data types would send a timestamp in the
            format 2022-11-11T15:40:44.65Z. This timestamp represents November
            11, 2022, at 15:40:44.65, with the 'Z' indicating that the time is
            in UTC.
          format: date-time
          type: string
      type: object
    BasicErrorResponse:
      additionalProperties: false
      description: >-
        The basic error response containing the error message and the help
        documentation link.
      properties:
        message:
          description: The description of the error with details about it's cause.
          example: Invalid Credentials
          maxLength: 250
          type: string
        helpUrl:
          description: >-
            The link to the documentation for more information about the error
            and the corrective action.
          example: https://apidocs.chargebee.com#Authentication
          format: uri
          type: string
      required:
        - message
      type: object
    HealthCheckResponse:
      example:
        components:
          - endpoints:
              - endpoints
              - endpoints
            name: name
            description: description
            id: id
            type: OTHER
            status: null
          - endpoints:
              - endpoints
              - endpoints
            name: name
            description: description
            id: id
            type: OTHER
            status: null
        description: description
        time: '2000-01-23T04:56:07.000Z'
        version: version
        status: null
      properties:
        version:
          minLength: 1
          type: string
        description:
          description: >-
            The description of the health status returned by the Service
            Adapter.
          maxLength: 250
          type: string
        status:
          $ref: '#/components/schemas/HealthStatus'
        components:
          description: >-
            List of health status details for each component reported by the
            Service Adapter.
          items:
            $ref: '#/components/schemas/HealthCheckComponent'
          type: array
        time:
          description: The timestamp of the health status reported by the Service Adapter.
          format: date-time
          type: string
      required:
        - components
        - status
        - time
      type: object
    HealthStatus:
      description: The status of a specific component reported by the Service Adapter.
      enum:
        - UP
        - DOWN
        - WARN
      type: string
    HealthCheckComponent:
      description: >-
        The health status details of a specific component reported by the
        Service Adapter.
      example:
        endpoints:
          - endpoints
          - endpoints
        name: name
        description: description
        id: id
        type: OTHER
        status: null
      properties:
        id:
          description: The id of the component.
          maxLength: 50
          type: string
        name:
          description: The name of the component.
          maxLength: 150
          type: string
        type:
          description: >
            The type of component affected when `status` is `WARN` or `DOWN`.
            The possible values are:

            - `ADAPTER`: The reported status is for the Service Adapter.

            - `API`: The reported status is for the Service Provider.

            - `DATABASE`: The reported status is for a database dependency of
            the Service Provider.

            - `SYSTEM`: The reported status is for any other known system
            component such as cache or gateway.

            - `OTHER`: The reported status is either for a component that does
            not belong to the types described above or the source of the issue
            is unknown.
          enum:
            - OTHER
            - SYSTEM
            - API
            - ADAPTER
            - DATABASE
          type: string
        description:
          description: The detailed status of the component.
          maxLength: 250
          type: string
        status:
          $ref: '#/components/schemas/HealthStatus'
        endpoints:
          description: >-
            When the `status` of the component is not `UP`, then the list of
            endpoints affected.
          items:
            type: string
          type: array
      required:
        - id
        - name
        - status
        - type
      type: object
  securitySchemes:
    Authorization:
      description: >-
        The json of all the parameters specified in authentication configuration
        of tax app will be sent by Chargebee.
      in: header
      name: Authorization
      type: apiKey

````